Loading...
Searching...
No Matches
pcl::cuda::NewCheckPlanarInlier< Storage > Struct Template Reference

Check if a certain tuple is a point inlier. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h>`

## Public Member Functions

| NewCheckPlanarInlier (float4 coeff, float thresh, const typename Storage< PointXYZRGB >::type &input)
__inline__ __host__ __device__ int | operator() (const int &idx)

## Public Attributes

float4 | coefficients
float | threshold
const Storage< PointXYZRGB >::type & | input_

## Detailed Description

template<template< typename > class Storage>
struct pcl::cuda::NewCheckPlanarInlier< Storage >

Check if a certain tuple is a point inlier.

Definition at line 65 of file sac_model_1point_plane.h.

## Constructor & Destructor Documentation

## NewCheckPlanarInlier()

template<template< typename > class Storage>

pcl::cuda::NewCheckPlanarInlier< Storage >::NewCheckPlanarInlier | ( | float4 | coeff,
|  | float | thresh,
|  | const typename Storage< PointXYZRGB >::type & | input )

inline

Definition at line 71 of file sac_model_1point_plane.h.

References coefficients, input_, and threshold.

## Member Function Documentation

## operator()()

template<template< typename > class Storage>

__inline__ __host__ __device__ int pcl::cuda::NewCheckPlanarInlier< Storage >::operator() | ( | const int & | idx | ) |

## Member Data Documentation

## coefficients

template<template< typename > class Storage>

float4 pcl::cuda::NewCheckPlanarInlier< Storage >::coefficients

Definition at line 67 of file sac_model_1point_plane.h.

Referenced by NewCheckPlanarInlier().

## input_

template<template< typename > class Storage>

const Storage<PointXYZRGB>::type& pcl::cuda::NewCheckPlanarInlier< Storage >::input_

Definition at line 69 of file sac_model_1point_plane.h.

Referenced by NewCheckPlanarInlier().

## threshold

template<template< typename > class Storage>

float pcl::cuda::NewCheckPlanarInlier< Storage >::threshold

Definition at line 68 of file sac_model_1point_plane.h.

Referenced by NewCheckPlanarInlier().

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/sac_model_1point_plane.h